### Type parameters

- #### T

### Hierarchy

- ModelConstructor

## Index

### Constructors

- constructor

## Constructors

### constructor

- new ModelConstructor(arg?: any, arg2?: any, arg3?: any, arg4?: any, arg5?: any, arg6?: any, arg7?: any, arg8?: any, arg9?: any, arg10?: any): T

- - Defined in model/model-constructor.ts:1

  #### Parameters

  - ##### Optional arg: any

  - ##### Optional arg2: any

  - ##### Optional arg3: any

  - ##### Optional arg4: any

  - ##### Optional arg5: any

  - ##### Optional arg6: any

  - ##### Optional arg7: any

  - ##### Optional arg8: any

  - ##### Optional arg9: any

  - ##### Optional arg10: any

  #### Returns T

Generated using TypeDoc